<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddAdditionalDataAboutFirefighters extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            //
            $table->string('secondName', 45)->nullable()->default(null);
            $table->string('fathersName', 45)->nullable()->default(null);
            $table->string('mothersName', 45)->nullable()->default(null);
            $table->string('address', 45)->nullable()->default(null);
            $table->string('apartment', 45)->nullable()->default(null); //nr domu
            $table->string('placeOfBirth', 45)->nullable()->default(null);
            $table->string('driversLicense', 20)->nullable()->default(null);
            $table->date('joiningOSPDate', 20)->nullable()->default(null);
            $table->string('IDSeries', 3)->nullable()->default(null);
            $table->string('IDNumber', 6)->nullable()->default(null); //nr dowodu osobistego
            $table->date('IDValidUntil', 20)->nullable()->default(null);
            $table->string('identityCardNumber', 20)->nullable()->default(null); //nr legitymacji strażackiej
            $table->string('homePhoneNumber', 20)->nullable()->default(null);
            $table->string('education', 45)->nullable()->default(null);
            $table->string('profession', 45)->nullable()->default(null);
            

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
